2017-07-24 06:34 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001754openmediavaultBugpublic2017-06-07 01:39
ReporterPepe 
Assigned Tovotdev 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
Product VersionErasmus (3.x) 
Target VersionFixed in VersionErasmus (3.x) 
Summary0001754: Chrome 58+ - self-signed SSL- common name invalid and [missing_subjectAltName]
DescriptionHello,
I created self-signed SSL certificate through webui, but when I enabled it then it says:
NET::ERR_CERT_COMMON_NAME_INVALID
and [missing_subjectAltName]

But still you can continue and also it is reported here:
https://forum.openmediavault.org/index.php/Thread/18327-SSL-common-name-problem-with-Chrome-58/ (don't know why it wasn't reported here)

I also asked on IRC, but respond was to use Let's Encrypt, but I don't have enabled outside access to OMV.
Additional InformationWhen I googled I found solution, which works for me.
https://github.com/webpack/webpack-dev-server/issues/854#issuecomment-292445914
and I changed where you can find openssl.cfg to this location:
 /usr/lib/ssl/openssl.cnf

And it is also here: https://stackoverflow.com/a/42917227
TagsNo tags attached.
Product build3.0.77
Attached Files

-Relationships
+Relationships

-Notes

~0004798

votdev (administrator)

Fixed in openmediavault 3.0.79, see https://github.com/openmediavault/openmediavault/commit/c159c6b3d7af4992e0ca4b26ea576b6c73c02505.
+Notes

-Issue History
Date Modified Username Field Change
2017-06-04 11:14 Pepe New Issue
2017-06-04 11:14 Pepe Status new => assigned
2017-06-04 11:14 Pepe Assigned To => votdev
2017-06-07 01:39 votdev Status assigned => resolved
2017-06-07 01:39 votdev Resolution open => fixed
2017-06-07 01:39 votdev Fixed in Version => Erasmus (3.x)
2017-06-07 01:39 votdev Note Added: 0004798
+Issue History